<?php
namespace Teknisa\SUP\Modules\Cadastros\Controllers; 

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\Controller;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Response\Notification;

class AvisoController extends \Teknisa\GER\Controllers\TeknisaCrud {

	protected $dataSourceName = 'aviso';
	protected $con;
		
    public function __construct($crudService, ParameterBag $parameterBag, $connection) {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->con = $connection;
    }
    
    public function exportar(DTO\Request $request, DTO\Response $response ){
		
		$data = $request->getDataSet()->getRows();
		
		if($request->getDataSet()->getRows()[0]['TODOSCHECKBOX']=="S") {
		    
		    $query = 'DELETE FROM AVISO WHERE CDFILIAL <> :CDFILIAL';
		    $stmt = $this->con->prepare($query);
    		$stmt->execute(array(
			    "CDFILIAL" => $data[1]['CDFILIAL']
		    ));
    		
    		$query = 'SELECT F.CDFILIAL FROM FILIAL F, FILIOPER O WHERE F.CDFILIAL <> :CDFILIAL AND O.CDOPERADOR = :CDOPERADOR AND F.CDFILIAL = O.CDFILIAL';
		    $stmt = $this->con->prepare($query);
    		$stmt->execute(array(
			    "CDFILIAL" => $data[1]['CDFILIAL'],
			    "CDOPERADOR" => $data[0]['CDOPERADOR']
		    ));
    		$a = $stmt->fetchAll();
    		
    		for($i=0; $i<sizeof($a); $i++) {
    		    $a2[$i] = $a[$i]['CDFILIAL'];
    		    $query = "INSERT INTO AVISO (CDFILIAL, TXAVISO) VALUES ('$a2[$i]', :TXAVISO)";
    		    $stmt = $this->con->prepare($query);
		        $stmt->execute(array(
		            "TXAVISO" => $data[1]['TXAVISO']
		        ));
    		}
		    
		} else {
		    for($i = 0; $i<sizeof($data[0]['CDFILIAL']); $i++) {
    		    $query = 'SELECT * FROM AVISO WHERE CDFILIAL = :CDFILIAL';
    		    $stmt = $this->con->prepare($query);
    			$stmt->execute(array(
    			    "CDFILIAL" => $data[0]['CDFILIAL'][$i]
    			));
    			
    			$a = $stmt->fetchAll();
    			
    		    if (sizeof($a)==0) {
        		    $query = 'INSERT INTO AVISO (CDFILIAL, TXAVISO) VALUES (:CDFILIAL, :TXAVISO)';
        			$stmt = $this->con->prepare($query);
        			$stmt->execute(array(
        			    "CDFILIAL" => $data[0]['CDFILIAL'][$i],
        			    "TXAVISO" => $data[1]['TXAVISO']
        			));
    		    } else {
    		        $query = 'UPDATE AVISO SET TXAVISO = :TXAVISO WHERE CDFILIAL = :CDFILIAL';
        			$stmt = $this->con->prepare($query);
        			$stmt->execute(array(
        			    "CDFILIAL" => $data[0]['CDFILIAL'][$i],
        			    "TXAVISO" => $data[1]['TXAVISO']
        			));
    		    }
		    }
	    }
    }
}